> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all suspended transactions

> If any payment cannot be posted to any end-user account it will be posted to an institution suspense account for further processing by the issuer. The latest transactions will be listed in descending order by date.



## OpenAPI

````yaml transaction get /v3/SUSPENDED
openapi: 3.0.3
info:
  description: |
    Endpoints for managing transaction data
  version: '1'
  title: Transaction details API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/transaction
    description: Live environment
security: []
tags:
  - name: Create transactions
    description: >-
      <p>Endpoints for creating transactions</p><h2>Generic Fee Reimbursement
      transaction types</h2><p>For this case reimbursement is not linked to
      specific charged fee and amount of reimbursement should be provided.
      Generic reimbursement transaction types can be used to reimburse one or
      several fees.</p><p>There is a possibility to create reimbursement on
      account or on card level.</p><p>To create reimbursement on account level
      please POST transaction to given account with &quot;AR&quot; as type
      parameter.</p><p>To create reimbursement on card level please POST
      transaction to given card with &quot;RR&quot; as type parameter.</p><p>On
      account level there also supported interest reimbursement transactions
      with “IR” and “OR” types.</p>
  - name: Create fees
    description: <p>Endpoints for creating fees</p>
  - name: Get transaction data
    description: Endpoints for fetching transaction data
  - name: Update a transaction
    description: >-
      <p>Endpoint for updating a transaction.</p><p>This service enables refund
      of transactions including fees.</p><h2>Reversal of previously posted
      transaction</h2><p>This use case allows to link reimbursement with
      previously posted transaction, including fees.</p><p>To create this type
      of refund please use POST &quot;Update a Transaction&quot; endpoint and as
      &quot;id&quot; parameter please provide id of the transaction which should
      be reversed, and in &quot;propertyToUpdate&quot; please provide
      &quot;REVERSE&quot; value. Id can be found with &quot;Get
      transaction&quot; endpoints under &quot;id&quot; parameter of
      transaction.</p>
  - name: Batch payment
    description: |
      Batch file for payments.
      ### File name standard
      `payment_{institution_id}_yyyymmdd_hhmmss.json`
      ### File structure
      <SchemaDefinition schemaRef="#/components/schemas/BatchPayments" />
      ### Response file
  - name: Authorization Holds
    description: Endpoints for creating, reversing and clearing of authorization holds
paths:
  /v3/SUSPENDED:
    get:
      tags:
        - Get transaction data
      summary: Get all suspended transactions
      description: >-
        If any payment cannot be posted to any end-user account it will be
        posted to an institution suspense account for further processing by the
        issuer. The latest transactions will be listed in descending order by
        date.
      operationId: getSuspendedTransactionsUsingGET
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: fromDate
          in: query
          description: >-
            From which date you want to list the transactions in ISO-8601
            date-time format.
          schema:
            type: string
            format: date-time
            example: '2019-01-28T00:00:00'
        - name: toDate
          in: query
          description: >-
            To which date you want to list the transactions in ISO-8601
            date-time format.
          schema:
            type: string
            format: date-time
            example: '2019-01-28T00:00:00'
        - name: page
          in: query
          description: Current page
          schema:
            type: integer
            default: 0
        - name: size
          in: query
          description: >-
            How many transactions should be returned per page, default is 15.
            Cannot be more than 30.
          schema:
            type: integer
            default: 15
            minimum: 1
            exclusiveMinimum: false
            maximum: 30
            exclusiveMaximum: false
      responses:
        '200':
          description: Successful lookup of transactions
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/suspendedTransactionResponse'
        '401':
          $ref: '#/components/responses/error401'
        '403':
          $ref: '#/components/responses/error403'
        '404':
          $ref: '#/components/responses/error404'
        '500':
          $ref: '#/components/responses/error500'
      deprecated: false
components:
  schemas:
    suspendedTransactionResponse:
      allOf:
        - $ref: '#/components/schemas/listSuspendedTransactionResponse'
      title: suspendedTransactionResponse
    listSuspendedTransactionResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/id'
        linkId:
          $ref: '#/components/schemas/linkId'
        transactionDate:
          $ref: '#/components/schemas/transactionDate'
        postingDate:
          $ref: '#/components/schemas/postingDate'
        postingStatus:
          $ref: '#/components/schemas/postingStatus'
        responseCode:
          $ref: '#/components/schemas/responseCode'
        transactionType:
          $ref: '#/components/schemas/transactionType'
        acquiringInstitutionIdentificationCode:
          $ref: '#/components/schemas/acquiringInstitutionIdentificationCode'
        settlementAmount:
          $ref: '#/components/schemas/settlementAmount'
        transactionAmount:
          $ref: '#/components/schemas/money'
        paymentReference:
          type: string
          description: Reference number used for the transaction
        payerName:
          type: string
          description: Name of the payer for the transaction
        fromAddress:
          type: string
          description: Address of payer
        fromZip:
          type: string
          description: Zip code of payer
        fromCity:
          type: string
          description: City of payer
        fromBankAccountNumber:
          type: string
          description: Source account number
        fromCustomerAccountNumber:
          type: string
          description: from the Enfuce system, where the payment was posted
        fromOrganizationalNumber:
          type: string
          description: Send organization number
        fromBankAccountType:
          $ref: '#/components/schemas/bankAccountType'
        fromBankName:
          type: string
          description: Source bank name
        toBic:
          type: string
          description: Target BIC code, used for pain file generation
        discLinkTransactionId:
          type: string
          description: >-
            The transactionId of the original financial transaction of this
            discount
        fileName:
          type: string
          description: Name of processed file, typically for managing incoming payments.
        toBankAccountNumber:
          type: string
          description: Target account number
        toBankAccountType:
          $ref: '#/components/schemas/bankAccountType'
        reason:
          type: string
          description: Reason for the suspension of the transaction
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    id:
      type: string
      description: Unique transaction id
    linkId:
      type: string
      description: Unique Root id for the transaction or Authorization
    transactionDate:
      type: string
      format: date-time
      example: '2019-01-28T00:00:00'
      description: >-
        The local date (and time) when the transaction was made. I.e. the
        date/time in the time zone in which the payment terminal/merchant is. In
        date-time format YYYY-MM-DDThh:mm:ss. Please note that the authorisation
        and clearing formats used by card schemes for do not support conveying
        the time zone in which the transaction has been done. The card scheme
        may also just include the date and no specific time. Enfuce relays the
        date and time as received from the card scheme.
    postingDate:
      type: string
      format: date-time
      example: '2019-01-28T00:00:00'
      description: >-
        The date and time when transaction was posted at Enfuce. In date-time
        format YYYY-MM-DDThh:mm:ss. Timezone is Enfuce system timezone, i.e.
        UTC.
    postingStatus:
      type: string
      enum:
        - POSTED
        - POSTED_DISPUTE
        - CLOSED
        - PENDING
        - REJECTED
      example: POSTED
      description: |
        Posting status values:
         * `POSTED` - Transaction/authorization has been successfully posted.
         * `POSTED_DISPUTE` - Transaction has been posted with the dispute contract.
         * `CLOSED` -  Authorization status after its matching transaction was successfully processed, or if the authorization is expired.
         * `PENDING` - Transaction/authorization is waiting for processing or being processed.
         * `REJECTED` - Transaction/authorization was rejected.
    responseCode:
      type: string
      example: 1A
      description: >
        After authorization, Enfuce generates a response code that guides the
        merchant how to proceed with the purchase. If approved (Response code 0
        or 10), the purchase is finalized. If declined (Response code is not 0
        or 10), the merchant must cancel the purchase or request an alternative
        payment method. Refer to our [service
        description](https://docs.enfuce.com/guides/the-essentials/global-processing/authorisation-and-authentication-of-payments#authorisation-response)
        for a complete list of response codes and their usage details.

        Response code values according to ISO-8583:1987:
           * Approved: 0 or 10
           * Declined: 3-96  and 1A, N0, N7
    transactionType:
      type: object
      properties:
        authorizationType:
          type: string
          description: Is item returned authorization or financial transaction.
          enum:
            - AUTH
            - FINANCIAL
        code:
          type: string
          description: Transaction code
        name:
          type: string
          description: Human-readable name of the transaction type
    acquiringInstitutionIdentificationCode:
      type: string
      description: Acquiring Institution Identification Code
    settlementAmount:
      description: Settlement amount summed up with markup fee (if markup fee is persent)
      type: object
      properties:
        amount:
          type: number
          example: 3.14
        currency:
          $ref: '#/components/schemas/currency'
    money:
      description: Amount including currency
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: number
          example: 3.14
        currency:
          $ref: '#/components/schemas/currency'
    bankAccountType:
      type: string
      enum:
        - BBAN
        - IBAN
        - PLUSGIRO
        - BANKGIRO
      description: The type of bank account
    currency:
      type: string
      description: A valid ISO 4217 currency code
      pattern: '[A-Z]{3}'
      example: EUR
  responses:
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error403:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error404:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error500:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'

````